> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a PayIn (Google Pay)

<Note>
  **Note – Pay-in data retained for 13 months**

  An API call to retrieve a pay-in whose `CreationDate` is older than 13 months may return 404 Not Found.

  For more information, see the <a href="/api-reference/overview/data-availability-periods">Data availability periods</a> article.
</Note>

### Path parameters

<ParamField path="PayInId" type="string" required>
  The unique identifier of the pay-in.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200 - Succeeded">
    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.\
      For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="AuthorId" type="string">
      The unique identifier of the user at the source of the transaction.
    </ResponseField>

    <ResponseField name="DebitedFunds" type="object">
      Information about the debited funds.

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="CreditedFunds" type="object">
      Information about the credited funds (`CreditedFunds` = `DebitedFunds` - `Fees`).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the funds.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Fees" type="string">
      Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).

      <Expandable title="properties">
        <ResponseField name="Currency" type="string">
          **Returned values:** The three-letter <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217 code</a> (EUR, GBP, etc.) of a <a href="/guides/currencies" target="_blank">supported currency</a> (depends on feature, contract, and activation settings).

          The currency of the fees.
        </ResponseField>

        <ResponseField name="Amount" type="integer">
          An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `1260` whereas JPY 12 would be represented as just `12`).
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Status" type="string">
      **Returned values:** `CREATED`, `SUCCEEDED`, `FAILED`

      The status of the transaction.
    </ResponseField>

    <ResponseField name="ResultCode" type="string">
      The code indicating the result of the operation. This information is mostly used to <a href="/errors/codes">handle errors</a> or for filtering purposes.
    </ResponseField>

    <ResponseField name="ResultMessage" type="string">
      The explanation of the result code.
    </ResponseField>

    <ResponseField name="ExecutionDate" type="Unix timestamp">
      The date and time at which the status changed to `SUCCEEDED`, indicating that the transaction occurred. The statuses `CREATED` and `FAILED` return an `ExecutionDate` of `null`.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `PAYIN`, `TRANSFER`, `CONVERSION`, `PAYOUT`

      The type of the transaction.
    </ResponseField>

    <ResponseField name="Nature" type="string">
      **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT`

      The nature of the transaction, providing more information about the context in which the transaction occurred:

      * `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
      * `REPUDIATION` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
      * `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
      * `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
    </ResponseField>

    <ResponseField name="CreditedWalletId" type="string">
      The unique identifier of the credited wallet.
    </ResponseField>

    <ResponseField name="PaymentType" type="string">
      **Returned values:** `GOOGLE_PAY`

      The type of pay-in.
    </ResponseField>

    <ResponseField name="ExecutionType" type="string">
      **Returned values:** `WEB`, `DIRECT`, `EXTERNAL_INSTRUCTION`

      The type of execution for the pay-in.
    </ResponseField>

    <ResponseField name="StatementDescriptor" type="string">
      Max. length: 10 characters; only alphanumeric and spaces

      Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the <a href="/bank-statements">Customizing bank statement references</a> article for details.
    </ResponseField>

    <ResponseField name="SecureModeNeeded" type="boolean">
      Whether or not the `SecureMode` was used.
    </ResponseField>

    <ResponseField name="Billing" type="object">
      **Default value:** FirstName, LastName, and Address information of the Shipping object if supplied.

      Information about the end user's billing address. If left empty, the default values will be automatically taken into account.

      <Expandable title="properties">
        <ResponseField name="FirstName" type="string">
          The first name of the user.
        </ResponseField>

        <ResponseField name="LastName" type="string">
          Max. length: 100 characters

          The last name of the user.
        </ResponseField>

        <ResponseField name="Address" type="object">
          Information about the billing address.

          <Expandable title="properties">
            <ResponseField name="AddressLine1" type="string">
              Max. length: 255 characters

              The first line of the address.
            </ResponseField>

            <ResponseField name="AddressLine2" type="string">
              Max. length: 255 characters

              The second line of the address.
            </ResponseField>

            <ResponseField name="City" type="string">
              Max. length: 255 characters

              The city of the address.
            </ResponseField>

            <ResponseField name="Region" type="string">
              Max. length: 255 characters

              The region of the address. This field is optional except if the `Country` is US, CA, or MX.
            </ResponseField>

            <ResponseField name="PostalCode" type="string">
              Max. length: 255 characters

              The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country of the address.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="Shipping" type="string">
      Information about the end user’s shipping address. If left empty, the default values will be automatically taken into account.

      <Expandable title="properties">
        <ResponseField name="FirstName" type="string">
          The first name of the user.
        </ResponseField>

        <ResponseField name="LastName" type="string">
          Max. length: 100 characters

          The last name of the user.
        </ResponseField>

        <ResponseField name="Address" type="object">
          Information about the shipping address.

          <Expandable title="properties">
            <ResponseField name="AddressLine1" type="string">
              Max. length: 255 characters

              The first line of the address.
            </ResponseField>

            <ResponseField name="AddressLine2" type="string">
              Max. length: 255 characters

              The second line of the address.
            </ResponseField>

            <ResponseField name="City" type="string">
              Max. length: 255 characters

              The city of the address.
            </ResponseField>

            <ResponseField name="Region" type="string">
              Max. length: 255 characters

              The region of the address. This field is optional except if the `Country` is US, CA, or MX.
            </ResponseField>

            <ResponseField name="PostalCode" type="string">
              Max. length: 255 characters

              The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
            </ResponseField>

            <ResponseField name="Country" type="string">
              Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

              The country of the address.
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="BrowserInfo" type="object">
      Information about the browser used by the end user (author) to perform the payment.

      <Expandable title="properties">
        <ResponseField name="AcceptHeader" type="string">
          The exact content of the HTTP accept headers as sent to the platform from the end user’s browser.
        </ResponseField>

        <ResponseField name="JavaEnabled" type="boolean">
          Whether or not the end user’s browser has the ability to execute Java.
        </ResponseField>

        <ResponseField name="Language" type="string">
          Format: Two-letter language code (ISO 639-1 alpha-2) followed by two-letter country code (ISO 3166-1 alpha-2), separated by a hyphen (example: `en-US`; pattern:`^[a-zA-Z]{2}(-[a-zA-Z]{2})?$`)

          The language of the browser.
        </ResponseField>

        <ResponseField name="ColorDepth" type="integer">
          The value representing the depth of the screen’s color palette for displaying images, in bits per pixel.
        </ResponseField>

        <ResponseField name="ScreenHeight" type="integer">
          Max. length: 6 characters

          The height of the screen in pixels.
        </ResponseField>

        <ResponseField name="ScreenWidth" type="integer">
          Max. length: 6 characters

          The width of the screen in pixels.
        </ResponseField>

        <ResponseField name="TimeZoneOffset" type="integer">
          The difference in minutes between the browser’s timezone and UTC.
        </ResponseField>

        <ResponseField name="UserAgent" type="string">
          Max. length: 255 characters

          The exact content of the HTTP User-Agent header.
        </ResponseField>

        <ResponseField name="JavascriptEnabled" type="boolean">
          Whether or not the end user’s browser has the ability to execute JavaScript.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="IpAddress" type="string">
      The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
    </ResponseField>

    <ResponseField name="CardInfo" type="string">
      Information about the card used for the transaction.

      If the information or data is not available, `null` is returned.

      <Expandable title="properties">
        <ResponseField name="BIN" type="string">
          The 6-digit bank identification number (BIN) of the card issuer.
        </ResponseField>

        <ResponseField name="IssuingBank" type="string">
          The name of the card issuer.
        </ResponseField>

        <ResponseField name="IssuerCountryCode" type="string">
          Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats))

          The country where the card was issued.
        </ResponseField>

        <ResponseField name="Type" type="string">
          **Returned values:** `DEBIT`, `CREDIT`, `CHARGE CARD`.

          The type of card product.
        </ResponseField>

        <ResponseField name="Brand" type="string">
          The card brand. Examples include: `AMERICAN EXPRESS`, `DISCOVER`, `JCB`, `MASTERCARD`, `VISA`, etc.

          **Note:** The possible returned values are numerous and liable to evolve over time.
        </ResponseField>

        <ResponseField name="SubType" type="string">
          The subtype of the card product. Examples include: `CLASSIC`, `GOLD`, `PLATINUM`, `PREPAID`, etc.

          **Note:** The possible returned values are numerous and liable to evolve over time.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="AuthenticationResult" type="object | null" defaultOpen>
      Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).

      <Expandable title="properties">
        <ResponseField name="AuthenticationType" type="string | null">
          Response values: `CHALLENGE`, `FRICTIONLESS`, `DIRECT_AUTHORIZATION`

          The type of authentication:

          * `CHALLENGE` – The issuer requested SCA to be enforced (for example, using 3DS).
          * `FRICTIONLESS` – The transaction was exempted from SCA because an exemption was granted by the issuer.
          * `DIRECT_AUTHORIZATION` – The transaction was sent to the issuer for authorization without any frictionless or challenge (for example, if SCA doesn't apply).

          A `null` value typically indicates that authentication was not requested (for example, because the request failed before being sent) or a decision was not received.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 - Succeeded theme={null}
  {
      "Id": "wt_794a782f-f6b1-4ba5-8adb-b8004323b31e",
      "Tag": "Created using the Mangopay API Postman collection",
      "CreationDate": 1706097653,
      "AuthorId": "213407540",
      "DebitedFunds": {
          "Currency": "EUR",
          "Amount": 100
      },
      "CreditedFunds": {
          "Currency": "EUR",
          "Amount": 100
      },
      "Fees": {
          "Currency": "EUR",
          "Amount": 0
      },
      "Status": "SUCCEEDED",
      "ResultCode": "000000",
      "ResultMessage": "Success",
      "ExecutionDate": 1706097666,
      "Type": "PAYIN",
      "Nature": "REGULAR",
      "CreditedWalletId": "213407543",
      "CreditedUserId": "213407540",
      "PaymentType": "GOOGLE_PAY",
      "ExecutionType": "DIRECT",
      "StatementDescriptor": "Mangopay",
      "SecureMode": "DEFAULT",
      "SecureModeReturnURL": "http://example.com",
      "SecureModeRedirectURL": "https://api.sandbox.whenthen.co/payment-gateway/monext/3ds/challenge/3a01e913-64d2-4724-a6f9-64ddc3a08d8a/794a782f-f6b1-4ba5-8adb-b8004323b31e",
      "SecureModeNeeded": true,
      "SecurityInfo": null,
      "BrowserInfo": {
          "AcceptHeader": "application/json,text/javascript,*/*;q=0.01<",
          "JavaEnabled": true,
          "Language": "fr",
          "ColorDepth": 32,
          "ScreenHeight": 667,
          "ScreenWidth": 375,
          "TimeZoneOffset": -120,
          "UserAgent": "Mozilla/5.0 (iPhone; CPU iPhone OS 13_6_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
          "JavascriptEnabled": true
      },
      "IpAddress": "7579:9817:dac3:76c8:23d4:2fcd:94a3:b5be",
      "CardInfo": {
          "BIN": "411111",
          "IssuingBank": "JPMORGAN CHASE BANK, N.A.",
          "IssuerCountryCode": "US",
          "Type": "CREDIT",
          "SubType": null,
          "Brand": "VISA"
      },
      "AuthenticationResult": {
          "AuthenticationType": "CHALLENGE"
      }
  }  
  ```
</ResponseExample>

<RequestExample>
  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $payinId = 'payin_m_01HYG8DRT5FHT1FV44MV9KR1BS';

      $response = $api->PayIns->Get($payinId);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
      clientId: 'your-client-id',
      clientApiKey: 'your-api-key',
  })

  let myPayIn = {
    Id: '156279887',
  }

  const viewPayIn = async (payinId) => {
    return await mangopay.PayIns.get(payinId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  viewPayIn(myPayIn.Id)  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def viewPayIn(payinId)
      begin
          response = MangoPay::PayIn.fetch(payinId)
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to fetch PayIn: #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end

  myPayIn = {
      Id: '156279887'
  }

  viewPayIn(myPayIn[:Id])  
  ```

  ```java Java theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.PayIn;

  public class ViewPayIn {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          PayIn payin = mangopay.getPayInApi().get("your-payin-id");

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(payin);

          System.out.println(prettyJson);
      }
  }
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import PayIn

  payin_id = 'wt_4fdf7754-6213-4016-be88-84587f093623'

  try:
      view_payin = PayIn.get(payin_id)
      pprint(view_payin._data)
  except PayIn.DoesNotExist:
      print('PayIn {} does not exist.'.format(payin_id))  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var viewPayIn =  await api.PayIns.GetAsync("payin_m_01J334XF2V6751GRG9M2M558HG");

          string prettyPrint = JsonConvert.SerializeObject(viewPayIn, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
